Subject: Re: [External] : Re: bug#3466: 23.0.94; have `d' in debugger treat macro expansion like `c' does

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Jun 2021 11:22:51 +0200

Drew Adams <[email-masked]> writes:

> You hit `d' once, to get into the macro, then `c' to get
> the macro expansion (then d d d... to go on after the
> expansion).
>
> The point was only that at some point you need to hit `c'
> if you don't want to do the macro expansion itself step
> by step.

Hm.  I'm not all that familiar with this debugging interface -- I
usually use edebug, so I'm not quite sure what people expect from this
thing.

So here's my test case:

(defun foo ()
  (dotimes (i 2)
    (message "foo")))

and `M-x debug-on-entry' on foo, `M-: (foo)', just hitting `d' a lot
does what I'd expect -- stepping through all the code.  It does not seem
to step the through the macro expansion itself.  (At least not in Emacs
27.1 or 28.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no